<?php
/**
* License: GNU General Public License
* Author: Changpeng Zhao
**/

// Don't allow direct linking
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// error_reporting(E_ALL);

$canSetTitle = array($mainframe, 'SetPageTitle');
if (is_callable($canSetTitle)) $mainframe->SetPageTitle("Submit News");



//#tudori modification to init custom editor
include_once( $mosConfig_absolute_path . "/editor/editor.php" );
	initEditor();


//include('configuration.php');
require_once('administrator/components/com_czsubmit/czsubmit_settings.php');

if (!$czs_enabled) {
  echo "News Submission not enabled";
} else { 
  if(file_exists('components/com_czsubmit/language/'.$mosConfig_lang.'.php')) 
    require('components/com_czsubmit/language/'.$mosConfig_lang.'.php');
  else 
    require('components/com_czsubmit/language/english.php');

  $task = mosGetParam($_REQUEST, 'task', '');
  

  switch ($task) {
        case "cancel":
                mosRedirect( 'index.php');
                break;
        case "save":
                czsubmit_save_form();
                break;
        case "image":
        		czimage_choose();
        		break;
        case "upload":
        		czimage_upload();
        		break;
        case "content":
        		czsubmit_print_form();
                break;  
        default:
                czsubmit_choose_cat();
                break;                
  }
}
function czsubmit_choose_cat(){
global $database, $mainframe;
  global $mosConfig_live_site;
  global $czs_catid, $czs_sectionid;
?>
<form action="index.php?option=com_czsubmit" method="post" name="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
     <tr>
     <td class="contentheading" >
     News Submission :: Step 1/4
     </td> </tr> </table>
     <table class="adminform">
      <tr> <td> Please choose a section to submit to: <small> (Required) </small> </td> </tr>
      <tr><td>
      <select name="EZ_cz_section" class="inputbox" >
      <?php    
    $database->setQuery( "SELECT * FROM #__sections LIMIT 20");
	$database->query();
	$rows = $database->loadObjectList();
	foreach($rows as $row) {
	echo "<option value=\"";
	echo $row->id;
	if ($row->id == $czs_sectionid){
		echo "\" selected >";}else{
			echo "\">";}
	echo $row->title;
	echo "</option>";
	}
      ?>
    
  </select>
  <input type="hidden" name="option" value="com_czsubmit" />
  <input type="hidden" name="task" value="content" />
  <input type="submit" name="save" value="Next" class="button" />
  <input class="button" type="button" name="cancel" onClick="history.go(-1)" value="Cancel"  />
      </td></tr>
      </table>
</form>
<?php
  
}

function czsubmit_save_form() {
  global $database, $mainframe, $my;
  global $mosConfig_live_site;
  global $czs_notify_email, $czs_catid, $czs_sectionid;

  # input validation
  $created_by_alias = strip_tags($_POST['created_by_alias']);
  $created_by_alias = mysql_escape_string($created_by_alias);
  $c['created_by_alias'] = $created_by_alias;

  $EZ_cz_section = strip_tags($_POST['EZ_cz_section']);
  $EZ_cz_category = strip_tags($_POST['EZ_cz_category']);
  
  $email = strip_tags($_POST['email']);
  $email = mysql_escape_string($email);
  $c['email'] = $email;

  $title = strip_tags($_POST['title']);
  $title = mysql_escape_string($title);
  $c['title'] = $title;

  $introtext = $_POST['introtext'];
  $introtext = mysql_escape_string($introtext);
  $c['introtext'] = $introtext;

  $fulltext = $_POST['fulltext'];
  $fulltext = mysql_escape_string($fulltext);
  $c['fulltext'] = $fulltext;

  if ($my->id) {
    $c['created_by'] = $my->id;
  } else {
    $c['created_by'] = 0;
  }

  echo $EZ_cz_section;

  $row = new mosContent( $database );
  if ( !$row->bind( $c ) ) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }

  $row->sectionid = $EZ_cz_section;
  $row->catid     = $EZ_cz_category;
  $row->created = date( 'Y-m-d H:i:s' );
  $row->created_by = $my->id;

  $row->publish_up   = '0000-00-00 00:00:00';
  $row->publish_down = '0000-00-00 00:00:00';

  if (!$row->check()) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }
  $row->version++;

  if (!$row->store()) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }

  $message = "There is a new submission at $mosConfig_live_site\n\n";
  $message .= "User Mambo Id: $my->id\n";
  $message .= "IP: " . $_SERVER["REMOTE_ADDR"] . "\n\n";
  $message .= "Name: $created_by_alias\n";
  $message .= "Email: $email\n";
  $message .= "Intro text: $introtext\n";
  $message .= "Full text: $fulltext\n\n";
  $message .= "You may view/approve this submission at:\n";
  $message .= "$mosConfig_live_site/administrator/index2.php?option=com_content&sectionid=0&task=edit&hidemainmenu=1&id=" . $row->id . "\n\n";
  $message .= "Brought to you by CZ Submit\n";
  $message .= "http://www.MamboZip.com";

  if ($czs_notify_email) {
    mail($czs_notify_email, "new submission - $title", $message, "From: $czs_notify_email"); 
  }
echo "here";
  $msg    = "";
  $redirect = "index.php?option=czsubmit&task=image&id=".$row->id;
  mosRedirect( $redirect, $msg );
}


function czsubmit_print_form() {
  global $database, $mainframe, $my;
  global $mosConfig_live_site;
  global $czs_notify_email, $czs_catid, $czs_sectionid;

  $EZ_cz_section = strip_tags($_POST['EZ_cz_section']);
  
  
  if ($my->id) {
    $my->load();
  }

?>
  <script language="javascript" type="text/javascript">
    function submitbutton() {
    <?php getEditorContents( 'introtext', 'introtext' ) ; ?>
	<?php getEditorContents( 'fulltext', 'fulltext' ) ; ?>
      var form = document.getElementById('adminForm');
      // do field validation
       //alert (form.introtext.value);
      if ( form.created_by_alias.value == "" ) {
        alert ( "Please enter your Name" );
        return false;
      } else if ( form.email.value == "" ) {
        alert ( "Please enter your Email address, we may need to contact you to clarify information in your article" );
        return false;
      } else if ( form.title.value == "" ) {
        alert ( "Please enter a title" );
        return false;
      }
      /* else if ( form.introtext.value == "" ) {
        alert ( "Please enter the text for your article submission" );
       return false;
      }
      */
       else if ( form.EZ_cz_category.value == "NA" ) {
        alert ( "Please choose a category" );
        return false;
        }
        else if ( form.EZ_cz_category.value == "" ) {
        alert ( "Please choose a category" );
        return false;
        }
        
        else {
    
        return true;
        // for content items
     
     
       form.submitform();
      }
    }
  </script>
     <form action="index.php?option=com_czsubmit" method="post" name="adminForm" id="adminForm" >

     <table cellspacing="0" cellpadding="0" border="0" width="100%">
     <tr>
     <td class="contentheading" >
     News Submission  :: Step 2/4 <?php echo $EZ_cz_section ; ?>
     </td> </tr> </table>
     <table class="adminform">
     <tr> <td> Category <small> (Required) </small> </td> </tr>
      <tr><td>
      <select class="inputbox" name="EZ_cz_category">
      <option value="NA">Please choose category:</option>
      <?php    
    $database->setQuery( "SELECT * FROM #__categories WHERE section='$EZ_cz_section' LIMIT 20");
	$database->query();
	$rows = $database->loadObjectList();
	foreach($rows as $row) {
	echo "<option value=\"";
	echo $row->id;
	echo "\">";
	echo $row->title;
	echo "</option>";
	}
      ?>    
  </select>
      </td></tr>
      <tr> <td> Full Name <small> (Required) </small> </td> </tr>
      <tr><td>
      <input class="inputbox" type="text" name="created_by_alias" size="50" maxlength="100" value="<?php echo $my->name; ?>" />
      </td></tr>
      <tr> <td> Email <small> (Required) </small> </td> </tr>
      <tr> <td>
       <input class="inputbox" type="text" name="email" size="50" maxlength="100" value="<?php echo $my->email; ?>" />
      </td> </tr> 
      <tr> <td> Article Title <small> (Required) </small> </td> </tr>
      <tr> <td> 
       <input class="inputbox" type="text" name="title" size="50" maxlength="100" value="" />
      </td> </tr>
      <tr> <td> Intro Text <small> (Required) </small></td> </tr>
      <tr> <td> 
      <!--<textarea id="introtext" name="introtext" cols="45" rows="5" style="width:500px; height:200px;"></textarea> -->
     
      <?php
      // parameters : areaname, content, hidden field, width, height, rows, cols
      editorArea( 'introtext',  '' , 'introtext', '300', '200', '45', '5' ) ;
      ?>
      </td> </tr>
      <tr> <td> Main Text <small> (Optional) </small></td> </tr>
      <tr> <td>
      <!-- <textarea id="fulltext" name="fulltext" cols="45" rows="10" style="width:500px; height:400px;"></textarea> -->
      <?php
      // parameters : areaname, content, hidden field, width, height, rows, cols
      editorArea( 'fulltext',  '' , 'fulltext', '300', '200', '45', '5' ) ;
      ?>
      </td> </tr> 
      <tr> <td> 
      <input class="button" type="submit" name="save" onclick="return submitbutton()" value="Next"  />
      <input class="button" type="button" name="cancel" onClick="history.go(-1)" value="Cancel"  />
      </td> </tr>
      </table>
      
      <div style="clear:both;"></div>
      
      <input type="hidden" name="option" value="com_czsubmit" />
      <input type="hidden" name="EZ_cz_section" value="<?php echo $EZ_cz_section ; ?>" />
      <input type="hidden" name="task" value="save" />
      <input type="hidden" name="submit_name" value="" />
    </form>
    <!-- Please do not remove the line below -->
    <div align="center"><a href="http://www.mambozip.com"><small>Powered by EZ CZ Submit</small></a>&nbsp;<a href="http://www.teachmejoomla.com"><small>Enhanced by TeachMeJoomla.com</small></a></div>
<?php
  
}

function czimage_choose(){
	$id=strip_tags($_GET['id']);
?>
<form action="index.php?option=com_czsubmit&task=upload" method="post" name="adminForm" enctype="multipart/form-data">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td class="contentheading" >
Article <?php echo $id?> Image Upload :: Step 3/4
</td>
</tr>
</table>
<table class="adminform">
<tr>
<td colspan=2> Please select how many images (if any) you wish to upload, and add a caption if desired.
</td>
</tr>
<tr>
<td>Image 1 (introtext):</td>
<td><select class="inputbox" name="p1">
<option value="YES">YES</option>
<option value="NO" selected>NO</option>
</select>&nbsp;&nbsp;<input class="button" type="file" name="image1"> 1MB MAX (.jpg, .jpeg, .png only)</td>
</tr>
<tr>
<td colspan=2> Caption 1: <input type="text" name="caption1">
<br><br></td>
</tr>
<tr>
<td>Image 2 (fulltext):</td>
<td><select class="inputbox" name="p2">
<option value="YES">YES</option>
<option value="NO" selected>NO</option>
</select>&nbsp;&nbsp;<input class="button" type="file" name="image2"> 1MB MAX (.jpg, .jpeg, .png only)</td>
</tr>
<tr>
<td colspan=2> Caption 2: <input type="text" name="caption2">
<br><br></td>
</tr>
</table>
<input type="hidden" name="id" value="<?php echo $id; ?>" />
<input type="hidden" name="option" value="com_czsubmit" />
<input type="hidden" name="task" value="upload" />
<input class="button" type="submit" name="Submit" value="Next">
</form>
<?php }

function czimage_upload(){
	global $mosConfig_live_site, $mosConfig_absolute_path;
	global $database, $mainframe;
	global $CZwidth, $CZheight; 
	
	$id=strip_tags($_POST['id']);
	 ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td class="contentheading" >
Article <?php echo $id?> Submitted :: Step 4/4
</td>
</tr>
</table>	
<small> Thank you for submitting your article, our editorial team will now review it for publication.</small>
<br>
<?php
	echo "<div align=center>";
	
	
	$p1=strip_tags($_POST['p1']);
	$p2=strip_tags($_POST['p2']);
	$caption1=strip_tags($_POST['caption1']);
	$caption2=strip_tags($_POST['caption2']);

	// include image resizer
 require ('components/com_czsubmit/resize.php');
// NB: resize image function :  makeimage('filelocation','filename','nameAddition_','path/',newwidth,newheight)
 
 //set upload dirs
$uploadphotodir = $mosConfig_absolute_path."/images/stories/Uploaded/";
$tempdir = $mosConfig_absolute_path."/images/Temp/";

	$maxSize = "1048576"; // 1MB upload size of the file.

//----------------------------------Image 1-------------------------------------	

//check move photo1
if ($p1 =="YES"){
	$Nameimage1 = $id."_".$_FILES['image1']['name'];
	$image1Temp = $tempdir.$Nameimage1;
	
if (move_uploaded_file($_FILES['image1']['tmp_name'], $image1Temp)) {
   echo "<br>:: File $Nameimage1 was successfully uploaded. ::<br>";


// Check size
    if($_FILES['image1']['size'] > $maxSize)
	{
		echo "Error: Image 1 was larger than 1MB";
	}else{
echo "<small>";
		
//get original size
list($oldwidth, $oldheight) = getimagesize($image1Temp);

//resize
if($oldwidth > $oldheight){$smwidth = "$CZwidth"; 
$smheight = ($oldheight*($smwidth/$oldwidth));
	}else{$smheight = "$CZheight";
$smwidth = ($oldwidth*($smheight/$oldheight));}
if (isset($smheight) && isset($smwidth)){
makeimage($image1Temp,$Nameimage1,'',$uploadphotodir,$smwidth,$smheight);
echo "...Resized Image $Nameimage1 created<br>";
}

// build sql string
if  ($caption1 != ''){
	$sqlimage1="Uploaded/".$Nameimage1."|right||1|".$caption1."|bottom||";
	}else{
	$sqlimage1="Uploaded/".$Nameimage1."|right||1||";
	}
$addmos = "{mosimage}";	

if (isset($sqlimage1)){
//get text & add {mosimage} + add image
	$database->setQuery( "SELECT * FROM #__content WHERE id='$id' LIMIT 1");
	$database->query();
	$rows = $database->loadObjectList();
	$row=$rows[0];
$oldtext = $row->introtext;
$newtext = $addmos.$oldtext;

$database->setQuery( "UPDATE  #__content SET introtext='$newtext', images='$sqlimage1'"
				    . "\nWHERE id=$id ");
						$database->query();
echo "Images Details Added<br>";
echo "<img src=\"".$mosConfig_live_site."/images/stories/Uploaded/".$Nameimage1."\" border=\"1\"><br>";
}

}

//delete temp file
unlink($image1Temp);
echo ":: Backup File for $Nameimage1 Deleted ::<br></small>";		
	
}else {echo "ERROR: $Nameimage1 failed to upload";}
}

//------------------------------Image 2-------------------------------------------

//check move photo2
if ($p2 =="YES"){
	$Nameimage2 = $id."_".$_FILES['image2']['name'];
	$image2Temp = $tempdir.$Nameimage2;
	
if (move_uploaded_file($_FILES['image2']['tmp_name'], $image2Temp)) {
   echo "<br>:: File $Nameimage2 was successfully uploaded. ::<br>";


// Check size
    if($_FILES['image2']['size'] > $maxSize)
	{
		echo "Error: Image 2 was larger than 1MB";
	}else{
echo "<small>";
		//get original size
list($oldwidth, $oldheight) = getimagesize($image2Temp);

//resize
if($oldwidth > $oldheight){$smwidth = "$CZwidth"; 
$smheight = ($oldheight*($smwidth/$oldwidth));
	}else{$smheight = "$CZheight";
$smwidth = ($oldwidth*($smheight/$oldheight));}
if (isset($smheight) && isset($smwidth)){
makeimage($image2Temp,$Nameimage2,'',$uploadphotodir,$smwidth,$smheight);
echo "...Resized Image $Nameimage2 created<br>";
}


// build sql string
if  ($caption2 != ''){
	$sqlimage2="\n"."Uploaded/".$Nameimage2."|left||1|".$caption2."|bottom||";
	}else{
	$sqlimage2="\n"."Uploaded/".$Nameimage2."|left||1||";
	}
$addmos = "{mosimage}";	

if (isset($sqlimage2)){
//get text & add {mosimage} + add image
	$database->setQuery( "SELECT * FROM #__content WHERE id='$id' LIMIT 1");
	$database->query();
	$rows = $database->loadObjectList();
	$row=$rows[0];
$oldFtext = $row->fulltext;
$newFtext = $addmos.$oldFtext;
$oldimages = $row->images;
$newimages = $oldimages.$sqlimage2;

$database->setQuery( "UPDATE  #__content SET `fulltext` ='$newFtext', images='$newimages' "
				    . "\nWHERE id=$id ");
						$database->query();
echo "Images Details Added<br>";
echo "<img src=\"".$mosConfig_live_site."/images/stories/Uploaded/".$Nameimage2."\" border=\"1\"><br>";
}

}
//delete temp file
unlink($image2Temp);
echo ":: Backup File for $Nameimage2 Deleted ::<br></small>";		
	
}else {echo "ERROR: $Nameimage2 failed to upload";}

}

?></div>
<form action="index.php?option=com_czsubmit" method="post" name="adminForm" align=center>
  <br><br><div align=center><input class="button" type="submit" name="Submit" value="Add More News">
  </div>
  <input type="hidden" name="option" value="com_czsubmit" />
</form>
<form action="index.php?option=com_czsubmit" method="post" name="endForm" align=center>
  <br><br><input class="button" type="submit" name="Submit" value="Finish"  />
  </div>
  <input type="hidden" name="option" value="com_czsubmit" />
  <input type="hidden" name="task" value="cancel" />
</form>

<?php		
}
?>